=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PIGEONHOLE_DIR=$(CURDIR)/pigeonhole

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
# DRAC doesn't build with -fPIE
drac_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-pie" dpkg-buildflags

# Macros to help move files to the module packages
CORE_DIR=$(CURDIR)/debian/dovecot-core
PKG_DIR=$(CURDIR)/debian/dovecot-PKG
MOVE=mv $(CORE_DIR)/$(1) $(PKG_DIR:PKG=$(2))/$(dir $(1));

# Files to move from dovecot-core to the individual packages. Files added to
# <addon>_files will be automatically moved from dovecot's tree to the
# respective package.
imapd_files = usr/lib/dovecot/imap* \
	      usr/lib/dovecot/modules/lib??_imap* \
	      usr/share/dovecot/conf.d/??-imap*

pop3d_files = usr/lib/dovecot/pop3* \
	      usr/share/dovecot/conf.d/??-pop3*

lmtpd_files = usr/lib/dovecot/lmtp* \
	      usr/share/dovecot/conf.d/??-lmtp*

managesieved_files = usr/lib/dovecot/managesieve* \
		     usr/lib/dovecot/modules/settings/libmanagesieve*

pgsql_files = usr/lib/dovecot/modules/auth/libdriver_pgsql* \
	      usr/lib/dovecot/modules/dict/libdriver_pgsql* \
	      usr/lib/dovecot/modules/libdriver_pgsql*

mysql_files = usr/lib/dovecot/modules/auth/libdriver_mysql* \
	      usr/lib/dovecot/modules/dict/libdriver_mysql* \
	      usr/lib/dovecot/modules/libdriver_mysql*

sqlite_files = usr/lib/dovecot/modules/auth/libdriver_sqlite* \
	       usr/lib/dovecot/modules/dict/libdriver_sqlite* \
	       usr/lib/dovecot/modules/libdriver_sqlite*

gssapi_files = usr/lib/dovecot/modules/auth/libmech_gssapi*

ldap_files = usr/lib/dovecot/modules/auth/libauthdb_ldap* \
	     usr/share/dovecot/*-ldap.conf.ext \
	     usr/share/dovecot/conf.d/*-ldap.conf.ext

sieve_files = usr/bin/sieve* \
	      usr/lib/dovecot/modules/lib??_sieve* \
	      usr/lib/dovecot/modules/doveadm/lib??_doveadm_sieve* \
	      usr/lib/dovecot/modules/sieve \
	      usr/lib/dovecot/libdovecot-sieve* \
	      usr/share/man/man1/sieve*

solr_files = usr/lib/dovecot/modules/lib??_fts_solr_*

dev_files = usr/include/* \
	    usr/lib/dovecot/dovecot-config

%:
	dh $@ --with=systemd,autotools-dev

override_dh_auto_configure:
	KRB5CONFIG=krb5-config.mit ./configure \
	            --with-ldap=plugin \
	            --with-ssl=openssl \
	            --with-sql=plugin \
	            --with-pgsql \
	            --with-mysql \
	            --with-sqlite \
	            --with-gssapi=plugin \
	            --with-solr \
	            --with-ioloop=best \
	            --with-libwrap \
	            --without-lucene \
		    --with-lz4 \
	            --prefix=/usr \
	            --sysconfdir=/etc \
	            --libexecdir=\$${prefix}/lib \
	            --localstatedir=/var \
	            --mandir=\$${prefix}/share/man \
	            --infodir=\$${prefix}/share/info \
		    --docdir=\$${prefix}/share/doc/dovecot-core \
	            --with-moduledir=\$${prefix}/lib/dovecot/modules \
	            --disable-rpath \
	            --with-systemdsystemunitdir=/lib/systemd/system \
	            --disable-static
	$(MAKE) dovecot-config
	
	# Pigeonhole
	(cd $(PIGEONHOLE_DIR)/ && \
	    touch stamp.h.in && \
	    sh configure \
	        --with-dovecot=../ \
		--prefix=/usr \
		--sysconfdir=/etc \
		--libexecdir=\$${prefix}/lib \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--disable-static)

override_dh_auto_build:
	dh_auto_build --parallel
	dh_auto_build --parallel -D $(PIGEONHOLE_DIR)
	$(MAKE) -C src/plugins/drac $(shell $(drac_buildflags) --export=configure)

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean -D $(PIGEONHOLE_DIR)
	rm -f src/plugins/drac/drac_plugin.so

override_dh_auto_install:
	# Install everything under dovecot-core
	$(MAKE) install DESTDIR=$(CORE_DIR)
	$(MAKE) -C $(PIGEONHOLE_DIR) install DESTDIR=$(CORE_DIR)
	rm `find $(CURDIR)/debian -name '*.la'`

override_dh_install:
	chmod 0700 debian/dovecot-core/etc/dovecot/private
	# dh_auto_install has installed everything in the dovecot-core package.
	# Run dh_install to install additional files from the source directory
	# or debian/ to the individual packages. NOTE: there is nothing in
	# debian/tmp!
	dh_install
	install -o root -g root -m 0755 $(CORE_DIR)/usr/share/doc/dovecot-core/mkcert.sh \
		$(CORE_DIR)/usr/share/dovecot/
	rm $(CORE_DIR)/usr/share/doc/dovecot-core/mkcert.sh
	rm $(CORE_DIR)/usr/share/doc/dovecot-core/dovecot-openssl.cnf
	rm $(CORE_DIR)/usr/share/doc/dovecot-core/solr-schema.xml
	rm -rf $(CORE_DIR)/usr/share/doc/dovecot-core/example-config
	
	$(foreach package,$(patsubst dovecot-%,%,$(shell dh_listpackages)),\
		$(foreach file,$($(package)_files),\
			$(call MOVE,$(file),$(package))))
	
	rmdir $(CORE_DIR)/usr/include
	grep ABI_VERSION config.h \
		| perl -ne '/"(.+)\(.+\)"/ && print $$1' \
		| tr '[A-Z]' '[a-z]' > $(PKG_DIR:PKG=dev)/usr/share/dovecot/dovecot-abi

	install -m644 debian/dovecot-core.ufw.profile debian/dovecot-core/etc/ufw/applications.d/dovecot-core

	# Install apport hook
	install -D -m 644 debian/source_dovecot.py $(CURDIR)/debian/dovecot-core/usr/share/apport/package-hooks/dovecot-core.py

	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
	cp $(CURDIR)/debian/99-mail-stack-delivery.conf $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/

override_dh_installpam:
	dh_installpam -pdovecot-core --name=dovecot

override_dh_installinit:
	dh_installinit -pdovecot-core --name=dovecot -u"defaults 20"

override_dh_gencontrol:
	dh_gencontrol -- -Vdovecot:ABI-Version=$(shell cat $(CURDIR)/debian/dovecot-dev/usr/share/dovecot/dovecot-abi)

override_dh_strip:
	dh_strip --dbg-package=dovecot-dbg

override_dh_makeshlibs:
	# Do not add an ldconfig trigger; none of the dovecot shared libraries
	# are public.
	dh_makeshlibs -n


override_dh_systemd_enable:
	dh_systemd_enable -pdovecot-core dovecot.service
	dh_systemd_enable -pdovecot-core --no-enable dovecot.socket

override_dh_installdocs:
	dh_installdocs
	cp pigeonhole/ChangeLog	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.ChangeLog
	cp pigeonhole/README	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.README
	cp pigeonhole/NEWS	$(CORE_DIR)/usr/share/doc/dovecot-core/pigeonhole.NEWS

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_clean override_dh_auto_install \
	override_dh_gencontrol override_dh_installinit \
	override_dh_strip override_dh_installpam \
	override_dh_makeshlibs override_dh_installdocs \
	override_dh_install override_dh_systemd_enable
