=== debian/tests/control ===
Tests: doveadm
Depends: dovecot-core
Restrictions: needs-root

Tests: systemd
Depends: dovecot-core, systemd-sysv

# the old Ubuntu tests
Tests: general
Restrictions: needs-root
Features: no-build-needed
Depends: python, dovecot-imapd, dovecot-pop3d
