## dovecot 2.2.23

=== debian/changelog ===
dovecot (1:2.2.23-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 25 Apr 2016 00:28:33 +0300

dovecot (1:2.2.23-1) unstable; urgency=medium

  [ Jaldhar H. Vyas ]
  * Drop missing-expunges.patch, merged upstream

  [ Apollon Oikonomopoulos ]
  * [8a01915] Imported Upstream version 2.2.23

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 12 Apr 2016 17:30:03 +0300
