## dovecot 2.2.24

=== debian/changelog ===
dovecot (1:2.2.24-1ubuntu1.3) yakkety-security; urgency=medium

  * REGRESSION UPDATE: Revert CVE-2017-2669 fix as this version of dovecot is
    not affected by the security flaw and the change caused a regression in
    passdb and userdb dictionary authentication backends
    debian/patches/CVE-2017-2669.patch: Remove the patch

 -- Tyler Hicks <tyhicks@canonical.com>  Tue, 11 Apr 2017 14:16:31 +0000

dovecot (1:2.2.24-1ubuntu1.2) yakkety-security; urgency=medium

  * SECURITY UPDATE: DoS via crafted username
    - debian/patches/CVE-2017-2669.patch: do not double-expand key in
      passdb dict when authenticating in src/auth/db-dict.c.
    - CVE-2017-2669

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 07 Apr 2017 13:33:38 -0400

dovecot (1:2.2.24-1ubuntu1.1) yakkety; urgency=medium

  * d/p/fix-sieve-pigeonhole-crash-on-huge-mails.patch: Fix sieve-pigeonhole
    crash when filtering too much data (LP: #1633220)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 09 Nov 2016 13:13:28 +0100

dovecot (1:2.2.24-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian; Remaining Changes:
    + Add autopkgtest to debian/tests/*.
    + Drop build dependency on libstemmer-dev (universe)
    + Use Snakeoil SSL certificates by default
      - d/control: Depend on ssl-cert
    + add lsb base dependency to ensure debian/dovecot-core.dovecot.init is
      working correctly
    + Add ufw integration:
      - d/dovecot-core.ufw.profile: new ufw profile.
      - d/rules: install profile in dovecot-core.
      - d/control: dovecot-core - suggest ufw.
    + Add apport hook:
      - d/rules, d/source_dovecot.py
    + Remove lintian override for drac
    + Add mail-stack-delivery
      - add package in d/rules, d/control
      - add d/*mail-stack-delivery* maintainer scripts and default conf
      - d/mail-stack-delivery.preinst: Move previously installed backups and
        config files to a new package namespace.
  * Added Changes:
    - Disable dovecot-lucene plugin as it had various issues, has universe
      dependencies and is deprecated in favor of solr anyway (LP: #1524526).
    - Fixup the autopkgtests we add to work with recent dovecot versions
    - d/mail-stack-delivery.README.Debian clarified use of configuration files
    - handle conffile removal of /etc/init/dovecot.conf (due to dropping
      upstart). Can be removed once no upgrade path from <yakkety is left.
  * Dropped Changes:
    - Add upstart job (that means we no more add it now)
    - no more needed upgrade handling of mail-stack-delivery related to
      2.1.7-7 and 1.2.9-1ubuntu8 (both out of scope of any possible
      paths now)
    - d/dovecot-core.dirs: Added usr/share/doc/dovecot-core (was only left
      in changelog)
    - ntpdate Recommends (was missing in former Changelog, now superseded
      by timesyncd which is available by default)
    - adding of d/docs for dh_installdocs

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 21 Jun 2016 16:31:29 +0200

dovecot (1:2.2.24-1) unstable; urgency=medium

  * [26020b6] Imported Upstream version 2.2.24 (Closes: #818652)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 09 May 2016 10:42:08 +0300

dovecot (1:2.2.22-1ubuntu4) xenial; urgency=medium

  * Urgh. Previous upload added a runtime dependency on libstemmer0d to
    dovecot-core that I missed. Revert it, and reopen LP: 1524526.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Thu, 21 Apr 2016 09:59:28 +1000

dovecot (1:2.2.22-1ubuntu3) xenial; urgency=medium

  * Re-add build dependency on libstemmer-dev
    - In universe, but only adds runtime dependencies to packages already in
      universe.
    - Fixes crash with missing symbol when enabling fts-lucene plugin
      (LP: #1524526)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 20 Apr 2016 12:44:08 +1000
