=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,4 @@
 Tests: general
 Restrictions: needs-root
 Features: no-build-needed
-Depends: python, dovecot-imapd, dovecot-pop3d
+Depends: python, dovecot-imapd, dovecot-pop3d, dovecot-managesieved, mail-stack-delivery
