## dovecot 2.2.26.0

=== debian/changelog ===
dovecot (1:2.2.26.0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 06 Dec 2016 16:18:02 +0200

dovecot (1:2.2.26.0-4) unstable; urgency=medium

  * [3015f35] Drop references to SSLv2 in the default SSL protocols (Closes: #844271)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Nov 2016 17:55:26 +0200

dovecot (1:2.2.26.0-3) unstable; urgency=medium

  * [b03027b] Call OPENSSL_cleanup() on dcrypt_openssl unload. Fixes FTBFS
    with OpenSSL 1.1.0c.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 13 Nov 2016 10:56:30 +0200

dovecot (1:2.2.26.0-2) unstable; urgency=medium

  * [9db7d1b] Fix upgrades from 2.2.25 (Closes: #843028)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 08 Nov 2016 15:06:16 +0200

dovecot (1:2.2.26.0-1) unstable; urgency=medium

  [ Apollon Oikonomopoulos ]
  * [18fc181] New upstream version 2.2.26.0 (Closes: #828286, #834837)
  * [3ecfd3c] Update pigeonhole to 0.4.16
  * [61ff825] Move libdovecot-ldap and libdict_ldap to dovecot-ldap (Closes:
    #830135).
  * [b3a1650] Ubuntu: disable -Bsymbolic-functions ld flag.
    Thanks to Christian Ehrhardt <christian.ehrhardt@canonical.com>
    (Closes: #842151) (LP: #1636781)
  * [5828ab1] B-D on default-libmysqlclient-dev (but keep plain
    libmysqlclient-dev as an alternative to ease backports).
  * [0086110] Drop DRAC plugin.
    Thanks to Christian Ehrhardt <christian.ehrhardt@canonical.com>
    (Closes: #842153)

  [ Jaldhar H. Vyas ]
  * [60808eb] Move aclocal *.m4 files into -dev package.
  * [52fd869] Move lib95_imap_sieve_plugin.so into dovecot-sieve (Closes:
    #832046).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 07 Jul 2016 10:17:58 +0200

dovecot (1:2.2.25-1) unstable; urgency=medium

  * [cc29a81] Imported Upstream version 2.2.25
  * [d19bcca] Updated pigeonhole patch to 0.4.14
  * [16db179] Merged in some features of the Ubuntu dovecot package.
    + dovecot-core: added lsb-base dependency.
    + dovecot-core: Added apport hook.
    + dovecot-imapd,dovecot-pop3d: Added ufw profiles.
    Thanks to Christian Erhardt <christian.ehrhardt@canonical.com>
    (Closes: #828864)

 -- Jaldhar H. Vyas <jaldhar@debian.org>  Fri, 01 Jul 2016 17:07:03 -0400
