## dovecot 2.2.27

=== debian/changelog ===
dovecot (1:2.2.27-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 13 Apr 2017 19:41:17 +0300

dovecot (1:2.2.27-3) unstable; urgency=high

  * [117285a] Remove /etc/dovecot/README (Closes: #849290)
  * [04e8ce3] auth: Do not double-expand key in passdb dict when
    authenticating (CVE-2017-2669) (Closes: #860049)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 11 Apr 2017 00:46:54 +0300

dovecot (1:2.2.27-2) unstable; urgency=medium

  * [30586e3] Fix SHA3 on big-endian architectures.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 15 Dec 2016 22:24:56 +0200

dovecot (1:2.2.27-1) unstable; urgency=medium

  [ Jaldhar H. Vyas ]
  * [b1e4693] Imported Upstream version 2.2.27
    + Includes fix for CVE-2016-8652 (Closes: #846605)

  [ Apollon Oikonomopoulos ]
  * [b25993a] Drop patches merged upstream:
    + call_openssl_cleanup_at_deinit.patch
    + disable_sslv23.patch

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 14 Dec 2016 21:48:46 +0200
