=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dovecot
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
+Maintainer: Dovecot Maintainers <jaldhar-dovecot@debian.org>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org>, Fabio Tranchitella <kobold@debian.org>, Joel Johnson <mrjoel@lixil.net>, Marco Nenciarini <mnencia@debian.org>, Jelmer Vernooij <jelmer@debian.org>, Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9),
                dpkg-dev (>= 1.16.1),
@@ -11,12 +10,11 @@
                libpam0g-dev,
                libldap2-dev,
                libpq-dev,
-               libmysqlclient-dev,
+               default-libmysqlclient-dev | libmysqlclient-dev,
                libsqlite3-dev,
                libsasl2-dev,
                zlib1g-dev,
                krb5-multidev,
-               drac-dev (>= 1.12-5),
                libbz2-dev,
                libdb-dev,
                libcurl4-gnutls-dev,
@@ -24,25 +22,25 @@
                libwrap0-dev,
                dh-systemd,
                lsb-release,
+               libclucene-dev (>= 2.3),
                liblzma-dev,
                liblz4-dev,
                libexttextcat-dev,
+               libstemmer-dev,
                autotools-dev,
                dh-exec
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://dovecot.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dovecot.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/dovecot.git
 
 Package: dovecot-core
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020), ssl-cert, lsb-base
-Suggests: ntp, dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap, dovecot-imapd, dovecot-pop3d, dovecot-lmtpd, dovecot-managesieved, dovecot-solr, ufw
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), openssl, adduser, ucf (>= 2.0020), lsb-base
+Suggests: ntp, dovecot-gssapi, dovecot-sieve, dovecot-pgsql, dovecot-mysql, dovecot-sqlite, dovecot-ldap, dovecot-imapd, dovecot-pop3d, dovecot-lmtpd, dovecot-managesieved, dovecot-solr, dovecot-lucene
 Provides: dovecot-common, dovecot-abi-${dovecot:ABI-Version}
-Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4),
-          dovecot-lucene (<<1:2.2.24~)
-Breaks: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4),
-        dovecot-lucene (<<1:2.2.24~)
+Replaces: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
+Breaks: dovecot-common (<< 1:2.0.14-2~), mailavenger (<< 0.8.1-4)
 Description: secure POP3/IMAP server - core files
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
@@ -55,8 +53,8 @@
 Package: dovecot-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: dovecot-common (<< 1:2.0.14-2~)
-Breaks: dovecot-common (<< 1:2.0.14-2~)
+Replaces: dovecot-common (<< 1:2.0.14-2~), dovecot-core (<< 1:2.2.26.0-1~)
+Breaks: dovecot-common (<< 1:2.0.14-2~), dovecot-core (<< 1:2.2.26.0-1~)
 Description: secure POP3/IMAP server - header files
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
@@ -70,6 +68,7 @@
 Package: dovecot-imapd
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
+Suggests: ufw
 Provides: imap-server
 Description: secure POP3/IMAP server - IMAP daemon
  Dovecot is a mail server whose major goals are security and extreme
@@ -83,6 +82,7 @@
 Package: dovecot-pop3d
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
+Suggests: ufw
 Provides: pop3-server
 Description: secure POP3/IMAP server - POP3 daemon
  Dovecot is a mail server whose major goals are security and extreme
@@ -160,6 +160,8 @@
 Package: dovecot-ldap
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
+Replaces: dovecot-core (<< 1:2.2.26.0-1~)
+Breaks: dovecot-core (<< 1:2.2.26.0-1~)
 Description: secure POP3/IMAP server - LDAP support
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
@@ -184,8 +186,8 @@
 Package: dovecot-sieve
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version}), ucf (>= 2.0020)
-Breaks: dovecot-core (<= 1:2.2.13-6)
-Replaces: dovecot-core (<= 1:2.2.13-6)
+Breaks: dovecot-core (<= 1:2.2.13-6), dovecot-imapd (<< 1:2.2.26.0-1~)
+Replaces: dovecot-core (<= 1:2.2.13-6), dovecot-imapd (<< 1:2.2.26.0-1~)
 Description: secure POP3/IMAP server - Sieve filters support
  Dovecot is a mail server whose major goals are security and extreme
  reliability. It tries very hard to handle all error conditions and verify
@@ -206,6 +208,18 @@
  fast, extensible, and portable.
  .
  This package provides Solr full text search support for Dovecot.
+
+Package: dovecot-lucene
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, dovecot-core (= ${binary:Version})
+Description: secure POP3/IMAP server - Lucene support
+ Dovecot is a mail server whose major goals are security and extreme
+ reliability. It tries very hard to handle all error conditions and verify
+ that all data is valid, making it nearly impossible to crash. It supports
+ mbox/Maildir and its own dbox/mdbox formats, and should also be pretty
+ fast, extensible, and portable.
+ .
+ This package provides Lucene full text search support for Dovecot.
 
 Package: dovecot-dbg
 Section: debug
@@ -220,18 +234,3 @@
  fast, extensible, and portable.
  .
  This package contains debug symbols for Dovecot.
-
-Package: mail-stack-delivery
-Architecture: all
-Depends: dovecot-core, dovecot-imapd, dovecot-pop3d, dovecot-managesieved,
- postfix, ${misc:Depends}
-Replaces: dovecot-postfix (<< 1:1.2.12-0ubuntu1~)
-Description: mail server delivery agent stack provided by Ubuntu server team
- Ubuntu's mail stack provides fully operational delivery with
- safe defaults and additional options. Out of the box it supports IMAP,
- POP3 and SMTP services with SASL authentication and Maildir as default
- storage engine.
- .
- This package contains configuration files for dovecot.
- .
- This package modifies postfix's configuration to integrate with dovecot
