=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,15 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+SHELL=/bin/bash -O extglob
 PIGEONHOLE_DIR=$(CURDIR)/pigeonhole
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
-# DRAC doesn't build with -fPIE
-drac_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=+all,-pie" dpkg-buildflags
+
+# LP: 1636781 - strip incompatible default linker option
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
+  export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions
+endif
 
 # Macros to help move files to the module packages
 CORE_DIR=$(CURDIR)/debian/dovecot-core
@@ -18,7 +22,7 @@
 # <addon>_files will be automatically moved from dovecot's tree to the
 # respective package.
 imapd_files = usr/lib/dovecot/imap* \
-	      usr/lib/dovecot/modules/lib??_imap* \
+	      usr/lib/dovecot/modules/lib??_imap_!(sieve*) \
 	      usr/share/dovecot/conf.d/??-imap*
 
 pop3d_files = usr/lib/dovecot/pop3* \
@@ -45,11 +49,14 @@
 gssapi_files = usr/lib/dovecot/modules/auth/libmech_gssapi*
 
 ldap_files = usr/lib/dovecot/modules/auth/libauthdb_ldap* \
+	     usr/lib/dovecot/modules/dict/libdict_ldap* \
+	     usr/lib/dovecot/libdovecot-ldap* \
 	     usr/share/dovecot/*-ldap.conf.ext \
 	     usr/share/dovecot/conf.d/*-ldap.conf.ext
 
 sieve_files = usr/bin/sieve* \
 	      usr/lib/dovecot/modules/lib??_sieve* \
+	      usr/lib/dovecot/modules/lib??_imap_sieve* \
 	      usr/lib/dovecot/modules/doveadm/lib??_doveadm_sieve* \
 	      usr/lib/dovecot/modules/sieve \
 	      usr/lib/dovecot/libdovecot-sieve* \
@@ -57,8 +64,11 @@
 
 solr_files = usr/lib/dovecot/modules/lib??_fts_solr_*
 
+lucene_files = usr/lib/dovecot/modules/lib??_fts_lucene_*
+
 dev_files = usr/include/* \
-	    usr/lib/dovecot/dovecot-config
+	    usr/lib/dovecot/dovecot-config \
+	    usr/share/aclocal/*.m4
 
 %:
 	dh $@ --with=systemd,autotools-dev
@@ -75,7 +85,7 @@
 	            --with-solr \
 	            --with-ioloop=best \
 	            --with-libwrap \
-	            --without-lucene \
+	            --with-lucene \
 		    --with-lz4 \
 	            --prefix=/usr \
 	            --sysconfdir=/etc \
@@ -105,18 +115,17 @@
 override_dh_auto_build:
 	dh_auto_build --parallel
 	dh_auto_build --parallel -D $(PIGEONHOLE_DIR)
-	$(MAKE) -C src/plugins/drac $(shell $(drac_buildflags) --export=configure)
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean -D $(PIGEONHOLE_DIR)
-	rm -f src/plugins/drac/drac_plugin.so
 
 override_dh_auto_install:
 	# Install everything under dovecot-core
 	$(MAKE) install DESTDIR=$(CORE_DIR)
 	$(MAKE) -C $(PIGEONHOLE_DIR) install DESTDIR=$(CORE_DIR)
 	rm `find $(CURDIR)/debian -name '*.la'`
+	rm debian/dovecot-core/etc/dovecot/README
 
 override_dh_install:
 	chmod 0700 debian/dovecot-core/etc/dovecot/private
@@ -137,17 +146,16 @@
 			$(call MOVE,$(file),$(package))))
 	
 	rmdir $(CORE_DIR)/usr/include
+	rmdir $(CORE_DIR)/usr/share/aclocal
 	grep ABI_VERSION config.h \
 		| perl -ne '/"(.+)\(.+\)"/ && print $$1' \
 		| tr '[A-Z]' '[a-z]' > $(PKG_DIR:PKG=dev)/usr/share/dovecot/dovecot-abi
-
-	install -m644 debian/dovecot-core.ufw.profile debian/dovecot-core/etc/ufw/applications.d/dovecot-core
-
+	
 	# Install apport hook
 	install -D -m 644 debian/source_dovecot.py $(CURDIR)/debian/dovecot-core/usr/share/apport/package-hooks/dovecot-core.py
 
-	mkdir -p $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
-	cp $(CURDIR)/debian/99-mail-stack-delivery.conf $(CURDIR)/debian/mail-stack-delivery/etc/dovecot/conf.d/
+	install -m644 debian/dovecot-imapd.ufw.profile debian/dovecot-imapd/etc/ufw/applications.d/dovecot-imapd
+	install -m644 debian/dovecot-pop3d.ufw.profile debian/dovecot-pop3d/etc/ufw/applications.d/dovecot-pop3d
 
 override_dh_installpam:
 	dh_installpam -pdovecot-core --name=dovecot
