=== debian/tests/control ===
Tests: doveadm
Depends: dovecot-core
Restrictions: needs-root

Tests: systemd
Depends: dovecot-core, systemd-sysv
